#ifndef _PSE530_H_
#define _PSE530_H_
#include "mbed.h"

/**
 * PSE530 Pressure Sensor
 */

class PSE530 {
public:
/**
 * Constructor
 */
    PSE530(AnalogIn *ain) ;

/**
 * destructor
 */
    ~PSE530(void) ;
    
/**
 * getPressure
 * @returns float pressure in kgf/cm2
 */
    float getPressure(void) ;
private:
    AnalogIn *_ain ;
} ;

#endif /* _PSE530_H_ */